org.apache.ignite.spi.swapspace

## Interface SwapSpaceSpiListener

    public interface SwapSpaceSpiListener

Swap space SPI eviction listener.

### Method Summary

Methods
`void` `onSwapEvent(int evtType, String spaceName, byte[] keyBytes, byte[] valBytes)` Notification for swap space events.

### Method Detail

#### onSwapEvent

    void onSwapEvent(int evtType,
                   @Nullable
                   String spaceName,
                   @Nullable
                   byte[] keyBytes,
                   @Nullable
                   byte[] valBytes)

Notification for swap space events.

Parameters:
  `evtType` - Event type. See `SwapSpaceEvent`
  `spaceName` - Space name for this event or `null` for default space.
  `keyBytes` - Key bytes of affected entry. Not `null` only for evict notifications.
  `valBytes` - Value bytes of affected entry. Not `null` only for evict notifications.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015